Skip to content

Jobs API

Base URL: https://YOUR-SERVER/api. Send your API key in x-api-key where authentication is required. A key also needs the listed permission; your account's access rules still apply.

API guide · All endpoints · OpenAPI JSON

Retrieve queue counts and status

GET /api/jobs

Retrieve the counts of the current queue, as well as the current status.

Deprecated. Avoid this operation in new integrations; use the replacement supported by your server release.

Administrator access required.

Authentication: API key. Permission: job.read.

Responses

Field definitions: QueuesResponseLegacyDto

{
  "200": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/QueuesResponseLegacyDto"
        }
      }
    },
    "description": ""
  }
}

Create a manual job

POST /api/jobs

Run a specific job. Most jobs are queued automatically, but this endpoint allows for manual creation of a handful of jobs, including various cleanup tasks, as well as creating a new database backup.

Administrator access required.

Authentication: API key. Permission: job.create.

Request body

Required.

Field definitions: JobCreateDto

{
  "application/json": {
    "schema": {
      "$ref": "#/components/schemas/JobCreateDto"
    }
  }
}

Responses

{
  "204": {
    "description": ""
  }
}

List durable job runs

GET /api/jobs/runs

Administrator access required.

Authentication: API key. Permission: job.read.

Parameters

NameWhereRequiredDescription
skipqueryNointeger
takequeryNointeger
Parameter types, defaults and constraints
[
  {
    "name": "skip",
    "required": false,
    "in": "query",
    "schema": {
      "minimum": 0,
      "maximum": 9007199254740991,
      "default": 0,
      "type": "integer"
    }
  },
  {
    "name": "take",
    "required": false,
    "in": "query",
    "schema": {
      "minimum": 1,
      "maximum": 100,
      "default": 25,
      "type": "integer"
    }
  }
]

Responses

Field definitions: JobRunPageDto

{
  "200": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/JobRunPageDto"
        }
      }
    },
    "description": ""
  }
}

Inspect selected job run items

GET /api/jobs/runs/{id}/items

Administrator access required.

Authentication: API key. Permission: job.read.

Parameters

NameWhereRequiredDescription
idpathYesstring
skipqueryNointeger
takequeryNointeger
Parameter types, defaults and constraints
[
  {
    "name": "id",
    "required": true,
    "in": "path",
    "schema": {
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$",
      "type": "string"
    }
  },
  {
    "name": "skip",
    "required": false,
    "in": "query",
    "schema": {
      "minimum": 0,
      "maximum": 9007199254740991,
      "default": 0,
      "type": "integer"
    }
  },
  {
    "name": "take",
    "required": false,
    "in": "query",
    "schema": {
      "minimum": 1,
      "maximum": 100,
      "default": 25,
      "type": "integer"
    }
  }
]

Responses

Field definitions: JobRunItemPageDto

{
  "200": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/JobRunItemPageDto"
        }
      }
    },
    "description": ""
  }
}

Run jobs

PUT /api/jobs/{name}

Queue all assets for a specific job type. Defaults to only queueing assets that have not yet been processed, but the force command can be used to re-process all assets.

Deprecated. Avoid this operation in new integrations; use the replacement supported by your server release.

Administrator access required.

Authentication: API key. Permission: job.create.

Parameters

NameWhereRequiredDescription
namepathYes
Parameter types, defaults and constraints

Field definitions: QueueName

[
  {
    "name": "name",
    "required": true,
    "in": "path",
    "schema": {
      "$ref": "#/components/schemas/QueueName"
    }
  }
]

Request body

Required.

Field definitions: QueueCommandDto

{
  "application/json": {
    "schema": {
      "$ref": "#/components/schemas/QueueCommandDto"
    }
  }
}

Responses

Field definitions: QueueResponseLegacyDto

{
  "200": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/QueueResponseLegacyDto"
        }
      }
    },
    "description": ""
  }
}